/**
 * @license React
 * react-dom-server-legacy.node.production.min.js
 *
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/*


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var ba=require("react"),ha=require("react-dom"),ia=require("stream");
function ja(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var r=Object.assign,t=Object.prototype.hasOwnProperty,ua=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),va={},wa={};
function xa(a){if(t.call(wa,a))return!0;if(t.call(va,a))return!1;if(ua.test(a))return wa[a]=!0;va[a]=!0;return!1}
var ya=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),za=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),Ea=/["'&<>]/;
function u(a){if("boolean"===typeof a||"number"===typeof a)return""+a;a=""+a;var b=Ea.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}
var Fa=/([A-Z])/g,Ga=/^ms-/,Ha=Array.isArray,Ia=ba.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,Ja={pending:!1,data:null,method:null,action:null},Ka=ha.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.Dispatcher,jb={prefetchDNS:La,preconnect:db,preload:eb,preloadModule:fb,preinitStyle:gb,preinitScript:hb,preinitModuleScript:ib},kb=[];
function lb(a,b){var c=0;void 0!==b&&(c=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:c,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function w(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function mb(a){return w("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function wb(a,b,c){switch(b){case "noscript":return w(2,null,a.tagScope|1);case "select":return w(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return w(3,null,a.tagScope);case "picture":return w(2,null,a.tagScope|2);case "math":return w(4,null,a.tagScope);case "foreignObject":return w(2,null,a.tagScope);case "table":return w(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return w(6,null,a.tagScope);case "colgroup":return w(8,null,a.tagScope);case "tr":return w(7,null,a.tagScope)}return 5<=
a.insertionMode?w(2,null,a.tagScope):0===a.insertionMode?"html"===b?w(1,null,a.tagScope):w(2,null,a.tagScope):1===a.insertionMode?w(2,null,a.tagScope):a}var xb=new Map;
function yb(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(t.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=u(d);e=u((""+e).trim())}else f=xb.get(d),void 0===f&&(f=u(d.replace(Fa,"-$1").toLowerCase().replace(Ga,"-ms-")),xb.set(d,f)),e="number"===typeof e?0===e||ya.has(d)?""+e:e+"px":
u((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function zb(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function D(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',u(c),'"')}function Ab(a){var b=a.nextFormID++;return a.idPrefix+b}var Bb=u("javascript:throw new Error('A React form was unexpectedly submitted.')");
function Cb(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");D(this,"name",b);D(this,"value",a);this.push("/>")}
function Db(a,b,c,d,e,f,g,h){var k=null;"function"===typeof d&&("function"===typeof d.$$FORM_ACTION?(e=Ab(b),b=d.$$FORM_ACTION(e),h=b.name,d=b.action||"",e=b.encType,f=b.method,g=b.target,k=b.data):(a.push(" ","formAction",'="',Bb,'"'),g=f=e=d=h=null,Eb(b,c)));null!=h&&E(a,"name",h);null!=d&&E(a,"formAction",d);null!=e&&E(a,"formEncType",e);null!=f&&E(a,"formMethod",f);null!=g&&E(a,"formTarget",g);return k}
function E(a,b,c){switch(b){case "className":D(a,"class",c);break;case "tabIndex":D(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":D(a,b,c);break;case "style":yb(a,c);break;case "src":case "href":if(""===c)break;case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;a.push(" ",b,'="',u(""+c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":break;
case "autoFocus":case "multiple":case "muted":zb(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;a.push(" ","xlink:href",'="',u(""+c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',u(c),'"');break;case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',u(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',u(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',u(c),'"');break;case "xlinkActuate":D(a,"xlink:actuate",
c);break;case "xlinkArcrole":D(a,"xlink:arcrole",c);break;case "xlinkRole":D(a,"xlink:role",c);break;case "xlinkShow":D(a,"xlink:show",c);break;case "xlinkTitle":D(a,"xlink:title",c);break;case "xlinkType":D(a,"xlink:type",c);break;case "xmlBase":D(a,"xml:base",c);break;case "xmlLang":D(a,"xml:lang",c);break;case "xmlSpace":D(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=za.get(b)||b,xa(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',u(c),'"')}}}function F(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function Fb(a){var b="";ba.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function Eb(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'A React form was unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.getRootNode(),(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,\nd,b))}});',"\x3c/script>"))}
function Gb(a,b,c,d,e,f,g){var h=b.rel,k=b.href,l=b.precedence;if(3===f||g||null!=b.itemProp||"string"!==typeof h||"string"!==typeof k||""===k)return I(a,b),null;if("stylesheet"===b.rel){if("string"!==typeof l||null!=b.disabled||b.onLoad||b.onError)return I(a,b);f=d.styles.get(l);g=c.styleResources.hasOwnProperty(k)?c.styleResources[k]:void 0;null!==g?(c.styleResources[k]=null,f||(f={precedence:u(l),rules:[],hrefs:[],sheets:new Map},d.styles.set(l,f)),b={state:0,props:r({},b,{"data-precedence":b.precedence,
precedence:null})},g&&(2===g.length&&Hb(b.props,g),(c=d.preloads.stylesheets.get(k))&&0<c.length?c.length=0:b.state=1),f.sheets.set(k,b),d.boundaryResources&&d.boundaryResources.stylesheets.add(b)):f&&(k=f.sheets.get(k))&&d.boundaryResources&&d.boundaryResources.stylesheets.add(k);e&&a.push("\x3c!-- --\x3e");return null}if(b.onLoad||b.onError)return I(a,b);e&&a.push("\x3c!-- --\x3e");switch(b.rel){case "preconnect":case "dns-prefetch":return I(d.preconnectChunks,b);case "preload":return I(d.preloadChunks,
b);default:return I(d.hoistableChunks,b)}}function I(a,b){a.push(J("link"));for(var c in b)if(t.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:E(a,c,d)}}a.push("/>");return null}
function Ib(a,b,c){a.push(J(c));for(var d in b)if(t.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:E(a,d,e)}}a.push("/>");return null}
function Jb(a,b){a.push(J("title"));var c=null,d=null,e;for(e in b)if(t.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:E(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(u(""+b));F(a,d,c);a.push("</","title",">");return null}
function Kb(a,b){a.push(J("script"));var c=null,d=null,e;for(e in b)if(t.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:E(a,e,f)}}a.push(">");F(a,d,c);"string"===typeof c&&a.push(u(c));a.push("</","script",">");return null}
function Lb(a,b,c){a.push(J(c));var d=c=null,e;for(e in b)if(t.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:E(a,e,f)}}a.push(">");F(a,d,c);return"string"===typeof c?(a.push(u(c)),null):c}var Mb=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,Nb=new Map;function J(a){var b=Nb.get(a);if(void 0===b){if(!Mb.test(a))throw Error("Invalid tag: "+a);b="<"+a;Nb.set(a,b)}return b}
function Ob(a,b,c,d,e,f,g){switch(b){case "div":case "span":case "svg":case "path":case "a":case "g":case "p":case "li":break;case "select":a.push(J("select"));var h=null,k=null,l;for(l in c)if(t.call(c,l)){var p=c[l];if(null!=p)switch(l){case "children":h=p;break;case "dangerouslySetInnerHTML":k=p;break;case "defaultValue":case "value":break;default:E(a,l,p)}}a.push(">");F(a,k,h);return h;case "option":var q=f.selectedValue;a.push(J("option"));var n=null,y=null,A=null,R=null,O;for(O in c)if(t.call(c,
O)){var m=c[O];if(null!=m)switch(O){case "children":n=m;break;case "selected":A=m;break;case "dangerouslySetInnerHTML":R=m;break;case "value":y=m;default:E(a,O,m)}}if(null!=q){var x=null!==y?""+y:Fb(n);if(Ha(q))for(var Y=0;Y<q.length;Y++){if(""+q[Y]===x){a.push(' selected=""');break}}else""+q===x&&a.push(' selected=""')}else A&&a.push(' selected=""');a.push(">");F(a,R,n);return n;case "textarea":a.push(J("textarea"));var G=null,v=null,B=null,z;for(z in c)if(t.call(c,z)){var H=c[z];if(null!=H)switch(z){case "children":B=
H;break;case "value":G=H;break;case "defaultValue":v=H;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:E(a,z,H)}}null===G&&null!==v&&(G=v);a.push(">");if(null!=B){if(null!=G)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(Ha(B)){if(1<B.length)throw Error("<textarea> can only have at most one child.");G=""+B[0]}G=""+B}"string"===typeof G&&"\n"===G[0]&&a.push("\n");null!==G&&a.push(u(""+G));
return null;case "input":a.push(J("input"));var Aa=null,L=null,ka=null,ca=null,Z=null,Ma=null,Na=null,Oa=null,Pa=null,la;for(la in c)if(t.call(c,la)){var P=c[la];if(null!=P)switch(la){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":Aa=P;break;case "formAction":L=P;break;case "formEncType":ka=P;break;case "formMethod":ca=P;break;case "formTarget":Z=P;break;case "defaultChecked":Pa=
P;break;case "defaultValue":Na=P;break;case "checked":Oa=P;break;case "value":Ma=P;break;default:E(a,la,P)}}var nb=Db(a,d,e,L,ka,ca,Z,Aa);null!==Oa?zb(a,"checked",Oa):null!==Pa&&zb(a,"checked",Pa);null!==Ma?E(a,"value",Ma):null!==Na&&E(a,"value",Na);a.push("/>");null!==nb&&nb.forEach(Cb,a);return null;case "button":a.push(J("button"));var U=null,ma=null,na=null,oa=null,Qa=null,pa=null,Gc=null,Ra;for(Ra in c)if(t.call(c,Ra)){var aa=c[Ra];if(null!=aa)switch(Ra){case "children":U=aa;break;case "dangerouslySetInnerHTML":ma=
aa;break;case "name":na=aa;break;case "formAction":oa=aa;break;case "formEncType":Qa=aa;break;case "formMethod":pa=aa;break;case "formTarget":Gc=aa;break;default:E(a,Ra,aa)}}var Hc=Db(a,d,e,oa,Qa,pa,Gc,na);a.push(">");null!==Hc&&Hc.forEach(Cb,a);F(a,ma,U);if("string"===typeof U){a.push(u(U));var Ic=null}else Ic=U;return Ic;case "form":a.push(J("form"));var Sa=null,Jc=null,da=null,Ta=null,Ua=null,Va=null,Wa;for(Wa in c)if(t.call(c,Wa)){var ea=c[Wa];if(null!=ea)switch(Wa){case "children":Sa=ea;break;
case "dangerouslySetInnerHTML":Jc=ea;break;case "action":da=ea;break;case "encType":Ta=ea;break;case "method":Ua=ea;break;case "target":Va=ea;break;default:E(a,Wa,ea)}}var Tb=null,Ub=null;if("function"===typeof da)if("function"===typeof da.$$FORM_ACTION){var me=Ab(d),Ba=da.$$FORM_ACTION(me);da=Ba.action||"";Ta=Ba.encType;Ua=Ba.method;Va=Ba.target;Tb=Ba.data;Ub=Ba.name}else a.push(" ","action",'="',Bb,'"'),Va=Ua=Ta=da=null,Eb(d,e);null!=da&&E(a,"action",da);null!=Ta&&E(a,"encType",Ta);null!=Ua&&E(a,
"method",Ua);null!=Va&&E(a,"target",Va);a.push(">");null!==Ub&&(a.push('<input type="hidden"'),D(a,"name",Ub),a.push("/>"),null!==Tb&&Tb.forEach(Cb,a));F(a,Jc,Sa);if("string"===typeof Sa){a.push(u(Sa));var Kc=null}else Kc=Sa;return Kc;case "menuitem":a.push(J("menuitem"));for(var ob in c)if(t.call(c,ob)){var Lc=c[ob];if(null!=Lc)switch(ob){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:E(a,ob,Lc)}}a.push(">");return null;
case "title":if(3===f.insertionMode||f.tagScope&1||null!=c.itemProp)var Mc=Jb(a,c);else Jb(e.hoistableChunks,c),Mc=null;return Mc;case "link":return Gb(a,c,d,e,g,f.insertionMode,!!(f.tagScope&1));case "script":var Vb=c.async;if("string"!==typeof c.src||!c.src||!Vb||"function"===typeof Vb||"symbol"===typeof Vb||c.onLoad||c.onError||3===f.insertionMode||f.tagScope&1||null!=c.itemProp)var Nc=Kb(a,c);else{var pb=c.src;if("module"===c.type){var qb=d.moduleScriptResources;var Oc=e.preloads.moduleScripts}else qb=
d.scriptResources,Oc=e.preloads.scripts;var rb=qb.hasOwnProperty(pb)?qb[pb]:void 0;if(null!==rb){qb[pb]=null;var Wb=c;if(rb){2===rb.length&&(Wb=r({},c),Hb(Wb,rb));var Pc=Oc.get(pb);Pc&&(Pc.length=0)}var Qc=[];e.scripts.add(Qc);Kb(Qc,Wb)}g&&a.push("\x3c!-- --\x3e");Nc=null}return Nc;case "style":var sb=c.precedence,qa=c.href;if(3===f.insertionMode||f.tagScope&1||null!=c.itemProp||"string"!==typeof sb||"string"!==typeof qa||""===qa){a.push(J("style"));var Ca=null,Rc=null,Xa;for(Xa in c)if(t.call(c,
Xa)){var tb=c[Xa];if(null!=tb)switch(Xa){case "children":Ca=tb;break;case "dangerouslySetInnerHTML":Rc=tb;break;default:E(a,Xa,tb)}}a.push(">");var Ya=Array.isArray(Ca)?2>Ca.length?Ca[0]:null:Ca;"function"!==typeof Ya&&"symbol"!==typeof Ya&&null!==Ya&&void 0!==Ya&&a.push(u(""+Ya));F(a,Rc,Ca);a.push("</","style",">");var Sc=null}else{var ra=e.styles.get(sb);if(null!==(d.styleResources.hasOwnProperty(qa)?d.styleResources[qa]:void 0)){d.styleResources[qa]=null;ra?ra.hrefs.push(u(qa)):(ra={precedence:u(sb),
rules:[],hrefs:[u(qa)],sheets:new Map},e.styles.set(sb,ra));var Tc=ra.rules,Da=null,Uc=null,ub;for(ub in c)if(t.call(c,ub)){var Xb=c[ub];if(null!=Xb)switch(ub){case "children":Da=Xb;break;case "dangerouslySetInnerHTML":Uc=Xb}}var Za=Array.isArray(Da)?2>Da.length?Da[0]:null:Da;"function"!==typeof Za&&"symbol"!==typeof Za&&null!==Za&&void 0!==Za&&Tc.push(u(""+Za));F(Tc,Uc,Da)}ra&&e.boundaryResources&&e.boundaryResources.styles.add(ra);g&&a.push("\x3c!-- --\x3e");Sc=void 0}return Sc;case "meta":if(3===
f.insertionMode||f.tagScope&1||null!=c.itemProp)var Vc=Ib(a,c,"meta");else g&&a.push("\x3c!-- --\x3e"),Vc="string"===typeof c.charSet?Ib(e.charsetChunks,c,"meta"):"viewport"===c.name?Ib(e.preconnectChunks,c,"meta"):Ib(e.hoistableChunks,c,"meta");return Vc;case "listing":case "pre":a.push(J(b));var $a=null,ab=null,bb;for(bb in c)if(t.call(c,bb)){var vb=c[bb];if(null!=vb)switch(bb){case "children":$a=vb;break;case "dangerouslySetInnerHTML":ab=vb;break;default:E(a,bb,vb)}}a.push(">");if(null!=ab){if(null!=
$a)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof ab||!("__html"in ab))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");var sa=ab.__html;null!==sa&&void 0!==sa&&("string"===typeof sa&&0<sa.length&&"\n"===sa[0]?a.push("\n",sa):a.push(""+sa))}"string"===typeof $a&&"\n"===$a[0]&&a.push("\n");return $a;case "img":var M=c.src,
C=c.srcSet;if(!("lazy"===c.loading||!M&&!C||"string"!==typeof M&&null!=M||"string"!==typeof C&&null!=C)&&"low"!==c.fetchPriority&&!1===!!(f.tagScope&2)&&("string"!==typeof M||":"!==M[4]||"d"!==M[0]&&"D"!==M[0]||"a"!==M[1]&&"A"!==M[1]||"t"!==M[2]&&"T"!==M[2]||"a"!==M[3]&&"A"!==M[3])&&("string"!==typeof C||":"!==C[4]||"d"!==C[0]&&"D"!==C[0]||"a"!==C[1]&&"A"!==C[1]||"t"!==C[2]&&"T"!==C[2]||"a"!==C[3]&&"A"!==C[3])){var Wc="string"===typeof c.sizes?c.sizes:void 0,cb=C?C+"\n"+(Wc||""):M,Yb=e.preloads.images,
ta=Yb.get(cb);if(ta){if("high"===c.fetchPriority||10>e.highImagePreloads.size)Yb.delete(cb),e.highImagePreloads.add(ta)}else d.imageResources.hasOwnProperty(cb)||(d.imageResources[cb]=kb,ta=[],I(ta,{rel:"preload",as:"image",href:C?void 0:M,imageSrcSet:C,imageSizes:Wc,crossOrigin:c.crossOrigin,integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(ta):(e.bulkPreloads.add(ta),Yb.set(cb,
ta)))}return Ib(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Ib(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;case "head":if(2>f.insertionMode&&null===e.headChunks){e.headChunks=[];var Xc=Lb(e.headChunks,c,"head")}else Xc=Lb(a,c,"head");return Xc;case "html":if(0===
f.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Yc=Lb(e.htmlChunks,c,"html")}else Yc=Lb(a,c,"html");return Yc;default:if(-1!==b.indexOf("-")){a.push(J(b));var Zb=null,Zc=null,fa;for(fa in c)if(t.call(c,fa)){var Q=c[fa];if(null!=Q&&"function"!==typeof Q&&"object"!==typeof Q&&!1!==Q)switch(!0===Q&&(Q=""),"className"===fa&&(fa="class"),fa){case "children":Zb=Q;break;case "dangerouslySetInnerHTML":Zc=Q;break;case "style":yb(a,Q);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":break;
default:xa(fa)&&"function"!==typeof Q&&"symbol"!==typeof Q&&a.push(" ",fa,'="',u(Q),'"')}}a.push(">");F(a,Zc,Zb);return Zb}}return Lb(a,c,b)}function Pb(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}
function Qb(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Rb(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Sb(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var $b=/[<\u2028\u2029]/g;
function ac(a){return JSON.stringify(a).replace($b,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var bc=/[&><\u2028\u2029]/g;
function cc(a){return JSON.stringify(a).replace(bc,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var dc=!1,ec=!0;
function fc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);ec=this.push("</style>");dc=!0;b.length=0;c.length=0}}function gc(a){return 2!==a.state?dc=!0:!1}function hc(a,b,c){dc=!1;ec=!0;b.styles.forEach(fc,a);b.stylesheets.forEach(gc);dc&&(c.stylesToHoist=!0);return ec}
function K(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var ic=[];function jc(a){I(ic,a.props);for(var b=0;b<ic.length;b++)this.push(ic[b]);ic.length=0;a.state=2}
function kc(a){var b=0<a.sheets.size;a.sheets.forEach(jc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function lc(a){if(0===a.state){a.state=1;var b=a.props;I(ic,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<ic.length;a++)this.push(ic[a]);ic.length=0}}function mc(a){a.sheets.forEach(lc,this);a.sheets.clear()}
function nc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=cc(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=cc(""+d.props.href);a.push(g);e=""+e;a.push(",");e=cc(e);a.push(e);for(var h in f)if(t.call(f,h)&&(g=f[h],null!=g))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:a:{e=a;var k=h.toLowerCase();switch(typeof g){case "function":case "symbol":break a}switch(h){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":break a;case "className":k="class";g=""+g;break;case "hidden":if(!1===g)break a;g="";break;case "src":case "href":g=""+g;break;default:if(2<h.length&&("o"===h[0]||"O"===h[0])&&("n"===h[1]||"N"===h[1])||!xa(h))break a;g=""+g}e.push(",");k=cc(k);e.push(k);e.push(",");g=
cc(g);e.push(g)}}a.push("]");c=",[";d.state=3}});a.push("]")}
function oc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=u(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=u(JSON.stringify(""+d.props.href));a.push(g);e=""+e;a.push(",");e=u(JSON.stringify(e));a.push(e);for(var h in f)if(t.call(f,h)&&(g=f[h],null!=g))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:a:{e=a;var k=h.toLowerCase();switch(typeof g){case "function":case "symbol":break a}switch(h){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":break a;case "className":k="class";g=""+g;break;case "hidden":if(!1===g)break a;g="";break;case "src":case "href":g=""+g;break;default:if(2<h.length&&("o"===h[0]||"O"===h[0])&&("n"===h[1]||"N"===h[1])||!xa(h))break a;g=""+g}e.push(",");k=u(JSON.stringify(k));e.push(k);
e.push(",");g=u(JSON.stringify(g));e.push(g)}}a.push("]");c=",[";d.state=3}});a.push("]")}function La(a){var b=N?N:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){var e=[];c.dnsResources[a]=null;I(e,{href:a,rel:"dns-prefetch"});d.preconnects.add(e)}pc(b)}}}
function db(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){d="use-credentials"===b?d.connectResources.credentials:"string"===typeof b?d.connectResources.anonymous:d.connectResources.default;if(!d.hasOwnProperty(a)){var f=[];d[a]=null;I(f,{rel:"preconnect",href:a,crossOrigin:b});e.preconnects.add(f)}pc(c)}}}
function eb(a,b,c){var d=N?N:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var h=c.imageSizes;var k=c.fetchPriority}h=g?g+"\n"+(h||""):a;if(e.imageResources.hasOwnProperty(h))return;e.imageResources[h]=kb;e=[];I(e,r({rel:"preload",href:g?void 0:a,as:b},c));"high"===k?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(h,e));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];I(g,r({rel:"preload",href:a,
as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?kb:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);I(g,r({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?kb:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=
e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;e=[];c=r({rel:"preload",href:a,as:b},c);switch(b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}I(e,c);g[a]=kb}pc(d)}}}
function fb(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?kb:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=kb}I(f,r({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);pc(c)}}}
function gb(a,b,c){var d=N?N:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),h=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==h&&(e.styleResources[a]=null,g||(g={precedence:u(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:r({rel:"stylesheet",href:a,"data-precedence":b},c)},h&&(2===h.length&&Hb(b.props,h),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),pc(d))}}}
function hb(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=r({src:a,async:!0},b),f&&(2===f.length&&Hb(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Kb(a,b),pc(c))}}}
function ib(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=r({src:a,type:"module",async:!0},b),f&&(2===f.length&&Hb(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Kb(a,b),pc(c))}}}function Hb(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}function qc(a){this.styles.add(a)}
function rc(a){this.stylesheets.add(a)}
function sc(a,b){var c=a.idPrefix;a=c+"P:";var d=c+"S:";c+="B:";var e=new Set,f=new Set,g=new Set,h=new Map,k=new Set,l=new Set,p=new Set,q={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};return{placeholderPrefix:a,segmentPrefix:d,boundaryPrefix:c,startInlineScript:"<script>",htmlChunks:null,headChunks:null,externalRuntimeScript:null,bootstrapChunks:[],charsetChunks:[],preconnectChunks:[],importMapChunks:[],preloadChunks:[],hoistableChunks:[],preconnects:e,fontPreloads:f,
highImagePreloads:g,styles:h,bootstrapScripts:k,scripts:l,bulkPreloads:p,preloads:q,boundaryResources:null,stylesToHoist:!1,generateStaticMarkup:b}}function tc(a,b,c,d){if(c.generateStaticMarkup)return a.push(u(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(u(b)),a=!0);return a}
var uc=Symbol.for("react.element"),vc=Symbol.for("react.portal"),wc=Symbol.for("react.fragment"),xc=Symbol.for("react.strict_mode"),yc=Symbol.for("react.profiler"),zc=Symbol.for("react.provider"),Ac=Symbol.for("react.context"),Bc=Symbol.for("react.server_context"),Cc=Symbol.for("react.forward_ref"),Dc=Symbol.for("react.suspense"),Ec=Symbol.for("react.suspense_list"),Fc=Symbol.for("react.memo"),$c=Symbol.for("react.lazy"),ad=Symbol.for("react.scope"),bd=Symbol.for("react.debug_trace_mode"),cd=Symbol.for("react.offscreen"),
dd=Symbol.for("react.legacy_hidden"),ed=Symbol.for("react.cache"),fd=Symbol.for("react.default_value"),gd=Symbol.for("react.memo_cache_sentinel"),hd=Symbol.for("react.postpone"),id=Symbol.iterator;
function jd(a){if(null==a)return null;if("function"===typeof a)return a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case wc:return"Fragment";case vc:return"Portal";case yc:return"Profiler";case xc:return"StrictMode";case Dc:return"Suspense";case Ec:return"SuspenseList";case ed:return"Cache"}if("object"===typeof a)switch(a.$$typeof){case Ac:return(a.displayName||"Context")+".Consumer";case zc:return(a._context.displayName||"Context")+".Provider";case Cc:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Fc:return b=a.displayName||null,null!==b?b:jd(a.type)||"Memo";case $c:b=a._payload;a=a._init;try{return jd(a(b))}catch(c){break}case Bc:return(a.displayName||a._globalName)+".Provider"}return null}var kd={};function ld(a,b){a=a.contextTypes;if(!a)return kd;var c={},d;for(d in a)c[d]=b[d];return c}var md=null;
function nd(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");nd(a,c)}b.context._currentValue2=b.value}}function od(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&od(a)}
function pd(a){var b=a.parent;null!==b&&pd(b);a.context._currentValue2=a.value}function qd(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?nd(a,b):qd(a,b)}
function rd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?nd(a,c):rd(a,c);b.context._currentValue2=b.value}function sd(a){var b=md;b!==a&&(null===b?pd(a):null===a?od(b):b.depth===a.depth?nd(b,a):b.depth>a.depth?qd(b,a):rd(b,a),md=a)}
var td={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}};
function ud(a,b,c,d){var e=void 0!==a.state?a.state:null;a.updater=td;a.props=c;a.state=e;var f={queue:[],replace:!1};a._reactInternals=f;var g=b.contextType;a.context="object"===typeof g&&null!==g?g._currentValue2:d;g=b.getDerivedStateFromProps;"function"===typeof g&&(g=g(c,e),e=null===g||void 0===g?e:r({},e,g),a.state=e);if("function"!==typeof b.getDerivedStateFromProps&&"function"!==typeof a.getSnapshotBeforeUpdate&&("function"===typeof a.UNSAFE_componentWillMount||"function"===typeof a.componentWillMount))if(b=
a.state,"function"===typeof a.componentWillMount&&a.componentWillMount(),"function"===typeof a.UNSAFE_componentWillMount&&a.UNSAFE_componentWillMount(),b!==a.state&&td.enqueueReplaceState(a,a.state,null),null!==f.queue&&0<f.queue.length)if(b=f.queue,g=f.replace,f.queue=null,f.replace=!1,g&&1===b.length)a.state=b[0];else{f=g?b[0]:a.state;e=!0;for(g=g?1:0;g<b.length;g++){var h=b[g];h="function"===typeof h?h.call(a,f,c,d):h;null!=h&&(e?(e=!1,f=r({},f,h)):r(f,h))}a.state=f}else f.queue=null}
var vd={id:1,overflow:""};function wd(a,b,c){var d=a.id;a=a.overflow;var e=32-xd(d)-1;d&=~(1<<e);c+=1;var f=32-xd(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-xd(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}var xd=Math.clz32?Math.clz32:yd,zd=Math.log,Ad=Math.LN2;function yd(a){a>>>=0;return 0===a?32:31-(zd(a)/Ad|0)|0}var Bd=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function Cd(){}function Dd(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(Cd,Cd),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}Ed=b;throw Bd;}}var Ed=null;
function Fd(){if(null===Ed)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=Ed;Ed=null;return a}function Gd(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var Hd="function"===typeof Object.is?Object.is:Gd,S=null,Id=null,Jd=null,Kd=null,Ld=null,T=null,Md=!1,Nd=!1,Od=0,Pd=0,Qd=-1,Rd=0,Sd=null,Td=null,Ud=0;
function Vd(){if(null===S)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem.");return S}
function Wd(){if(0<Ud)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function Xd(){null===T?null===Ld?(Md=!1,Ld=T=Wd()):(Md=!0,T=Ld):null===T.next?(Md=!1,T=T.next=Wd()):(Md=!0,T=T.next);return T}function Yd(a,b,c,d){for(;Nd;)Nd=!1,Pd=Od=0,Qd=-1,Rd=0,Ud+=1,T=null,c=a(b,d);Zd();return c}function $d(){var a=Sd;Sd=null;return a}function Zd(){Kd=Jd=Id=S=null;Nd=!1;Ld=null;Ud=0;T=Td=null}
function ae(a,b){return"function"===typeof b?b(a):b}function be(a,b,c){S=Vd();T=Xd();if(Md){var d=T.queue;b=d.dispatch;if(null!==Td&&(c=Td.get(d),void 0!==c)){Td.delete(d);d=T.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);T.memoizedState=d;return[d,b]}return[T.memoizedState,b]}a=a===ae?"function"===typeof b?b():b:void 0!==c?c(b):b;T.memoizedState=a;a=T.queue={last:null,dispatch:null};a=a.dispatch=ce.bind(null,S,a);return[T.memoizedState,a]}
function de(a,b){S=Vd();T=Xd();b=void 0===b?null:b;if(null!==T){var c=T.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!Hd(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();T.memoizedState=[a,b];return a}
function ce(a,b,c){if(25<=Ud)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===S)if(Nd=!0,a={action:c,next:null},null===Td&&(Td=new Map),c=Td.get(b),void 0===c)Td.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function ee(){throw Error("A function wrapped in useEffectEvent can't be called during rendering.");}function fe(){throw Error("startTransition cannot be called during server rendering.");}
function ge(){throw Error("Cannot update optimistic state while rendering.");}function he(a){var b=Rd;Rd+=1;null===Sd&&(Sd=[]);return Dd(Sd,a,b)}function ie(){throw Error("Cache cannot be refreshed during server rendering.");}function je(){}
var le={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return he(a);if(a.$$typeof===Ac||a.$$typeof===Bc)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){Vd();return a._currentValue2},useMemo:de,useReducer:be,useRef:function(a){S=Vd();T=Xd();var b=T.memoizedState;return null===b?(a={current:a},T.memoizedState=a):b},useState:function(a){return be(ae,a)},
useInsertionEffect:je,useLayoutEffect:je,useCallback:function(a,b){return de(function(){return a},b)},useImperativeHandle:je,useEffect:je,useDebugValue:je,useDeferredValue:function(a){Vd();return a},useTransition:function(){Vd();return[!1,fe]},useId:function(){var a=Id.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-xd(a)-1)).toString(32)+b;var c=ke;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=Od++;a=":"+c.idPrefix+"R"+a;0<b&&
(a+="H"+b.toString(32));return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return ie},useEffectEvent:function(){return ee},useMemoCache:function(a){for(var b=Array(a),c=0;c<a;c++)b[c]=gd;return b},useHostTransitionStatus:function(){Vd();return Ja},useOptimistic:function(a){Vd();return[a,ge]},useFormState:function(a,b,c){Vd();
var d=Pd++,e=Jd;if("function"===typeof a.$$FORM_ACTION){var f=null,g=Kd;e=e.formState;var h=a.$$IS_SIGNATURE_EQUAL;if(null!==e&&"function"===typeof h){var k=e[1];h.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+ja(JSON.stringify([g,null,d]),0),k===f&&(Qd=d,b=e[0]))}var l=a.bind(null,b);a=function(q){l(q)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(q){q=l.$$FORM_ACTION(q);void 0!==c&&(c+="",q.action=c);var n=q.data;n&&(null===f&&(f=void 0!==c?"p"+c:"k"+ja(JSON.stringify([g,null,d]),
0)),n.append("$ACTION_KEY",f));return q});return[b,a]}var p=a.bind(null,b);return[b,function(q){p(q)}]}},ke=null,ne={getCacheSignal:function(){throw Error("Not implemented.");},getCacheForType:function(){throw Error("Not implemented.");}},oe=Ia.ReactCurrentDispatcher,pe=Ia.ReactCurrentCache;function qe(a){console.error(a);return null}function re(){}
function se(a,b,c,d,e,f,g,h,k,l,p,q){Ka.current=jb;var n=[],y=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:y,pingedTasks:n,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?qe:f,onPostpone:void 0===p?re:p,onAllReady:void 0===g?
re:g,onShellReady:void 0===h?re:h,onShellError:void 0===k?re:k,onFatalError:void 0===l?re:l,formState:void 0===q?null:q};c=te(b,0,null,d,!1,!1);c.parentFlushed=!0;a=ue(b,null,a,-1,null,c,y,null,d,kd,null,vd);n.push(a);return b}var N=null;function ve(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,we(a))}
function xe(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,resources:{styles:new Set,stylesheets:new Set},trackedContentKeyPath:null,trackedFallbackNode:null}}
function ue(a,b,c,d,e,f,g,h,k,l,p,q){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var n={replay:null,node:c,childIndex:d,ping:function(){return ve(a,n)},blockedBoundary:e,blockedSegment:f,abortSet:g,keyPath:h,formatContext:k,legacyContext:l,context:p,treeContext:q,thenableState:b};g.add(n);return n}
function ye(a,b,c,d,e,f,g,h,k,l,p,q){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var n={replay:c,node:d,childIndex:e,ping:function(){return ve(a,n)},blockedBoundary:f,blockedSegment:null,abortSet:g,keyPath:h,formatContext:k,legacyContext:l,context:p,treeContext:q,thenableState:b};g.add(n);return n}function te(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}
function V(a,b){a=a.onError(b);if(null!=a&&"string"!==typeof a)throw Error('onError returned something with a type other than "string". onError should return a string and may return null or undefined but must not return anything else. It received something of type "'+typeof a+'" instead');return a}function ze(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}
function Ae(a,b,c,d,e){var f=d.render(),g=e.childContextTypes;if(null!==g&&void 0!==g){c=b.legacyContext;if("function"!==typeof d.getChildContext)e=c;else{d=d.getChildContext();for(var h in d)if(!(h in g))throw Error((jd(e)||"Unknown")+'.getChildContext(): key "'+h+'" is not defined in childContextTypes.');e=r({},c,d)}b.legacyContext=e;W(a,b,null,f,-1);b.legacyContext=c}else e=b.keyPath,b.keyPath=c,W(a,b,null,f,-1),b.keyPath=e}
function Be(a,b,c,d,e,f,g){var h=!1;if(0!==f&&null!==a.formState){var k=b.blockedSegment;if(null!==k){h=!0;k=k.chunks;for(var l=0;l<f;l++)l===g?k.push("\x3c!--F!--\x3e"):k.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=wd(c,1,0),X(a,b,d,-1),b.treeContext=c):h?X(a,b,d,-1):W(a,b,null,d,-1);b.keyPath=f}function Ce(a,b){if(a&&a.defaultProps){b=r({},b);a=a.defaultProps;for(var c in a)void 0===b[c]&&(b[c]=a[c]);return b}return b}
function De(a,b,c,d,e,f,g){if("function"===typeof e)if(e.prototype&&e.prototype.isReactComponent){d=ld(e,b.legacyContext);var h=e.contextType;h=new e(f,"object"===typeof h&&null!==h?h._currentValue2:d);ud(h,e,f,d);Ae(a,b,c,h,e)}else{h=ld(e,b.legacyContext);S={};Id=b;Jd=a;Kd=c;Pd=Od=0;Qd=-1;Rd=0;Sd=d;d=e(f,h);d=Yd(e,f,d,h);g=0!==Od;var k=Pd,l=Qd;"object"===typeof d&&null!==d&&"function"===typeof d.render&&void 0===d.$$typeof?(ud(d,e,f,h),Ae(a,b,c,d,e)):Be(a,b,c,d,g,k,l)}else if("string"===typeof e)if(d=
b.blockedSegment,null===d)d=f.children,h=b.formatContext,g=b.keyPath,b.formatContext=wb(h,e,f),b.keyPath=c,X(a,b,d,-1),b.formatContext=h,b.keyPath=g;else{g=Ob(d.chunks,e,f,a.resumableState,a.renderState,b.formatContext,d.lastPushedText);d.lastPushedText=!1;h=b.formatContext;k=b.keyPath;b.formatContext=wb(h,e,f);b.keyPath=c;X(a,b,g,-1);b.formatContext=h;b.keyPath=k;a:{b=d.chunks;a=a.resumableState;switch(e){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;
case "body":if(1>=h.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===h.insertionMode){a.hasHtml=!0;break a}}b.push("</",e,">")}d.lastPushedText=!1}else{switch(e){case dd:case bd:case xc:case yc:case wc:e=b.keyPath;b.keyPath=c;W(a,b,null,f.children,-1);b.keyPath=e;return;case cd:"hidden"!==f.mode&&(e=b.keyPath,b.keyPath=c,W(a,b,null,f.children,-1),b.keyPath=e);return;case Ec:e=b.keyPath;b.keyPath=c;W(a,b,null,f.children,-1);b.keyPath=e;return;case ad:throw Error("ReactDOMServer does not yet support scope components.");
case Dc:a:if(null!==b.replay){e=b.keyPath;b.keyPath=c;c=f.children;try{X(a,b,c,-1)}finally{b.keyPath=e}}else{l=b.keyPath;e=b.blockedBoundary;var p=b.blockedSegment;d=f.fallback;var q=f.children;f=new Set;g=xe(a,f);null!==a.trackedPostpones&&(g.trackedContentKeyPath=c);k=te(a,p.chunks.length,g,b.formatContext,!1,!1);p.children.push(k);p.lastPushedText=!1;var n=te(a,0,null,b.formatContext,!1,!1);n.parentFlushed=!0;b.blockedBoundary=g;b.blockedSegment=n;a.renderState.boundaryResources=g.resources;b.keyPath=
c;try{if(X(a,b,q,-1),a.renderState.generateStaticMarkup||n.lastPushedText&&n.textEmbedded&&n.chunks.push("\x3c!-- --\x3e"),n.status=1,Ee(g,n),0===g.pendingTasks&&0===g.status){g.status=1;break a}}catch(y){n.status=4,g.status=4,"object"===typeof y&&null!==y&&y.$$typeof===hd?(a.onPostpone(y.message),h="POSTPONE"):h=V(a,y),g.errorDigest=h}finally{a.renderState.boundaryResources=e?e.resources:null,b.blockedBoundary=e,b.blockedSegment=p,b.keyPath=l}h=[c[0],"Suspense Fallback",c[2]];l=a.trackedPostpones;
null!==l&&(p=[h[1],h[2],[],null],l.workingMap.set(h,p),5===g.status?l.workingMap.get(c)[4]=p:g.trackedFallbackNode=p);b=ue(a,null,d,-1,e,k,f,h,b.formatContext,b.legacyContext,b.context,b.treeContext);a.pingedTasks.push(b)}return}if("object"===typeof e&&null!==e)switch(e.$$typeof){case Cc:e=e.render;S={};Id=b;Jd=a;Kd=c;Pd=Od=0;Qd=-1;Rd=0;Sd=d;d=e(f,g);f=Yd(e,f,d,g);Be(a,b,c,f,0!==Od,Pd,Qd);return;case Fc:e=e.type;f=Ce(e,f);De(a,b,c,d,e,f,g);return;case zc:h=f.children;d=b.keyPath;e=e._context;f=f.value;
g=e._currentValue2;e._currentValue2=f;k=md;md=f={parent:k,depth:null===k?0:k.depth+1,context:e,parentValue:g,value:f};b.context=f;b.keyPath=c;W(a,b,null,h,-1);a=md;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");c=a.parentValue;a.context._currentValue2=c===fd?a.context._defaultValue:c;a=md=a.parent;b.context=a;b.keyPath=d;return;case Ac:f=f.children;f=f(e._currentValue2);e=b.keyPath;b.keyPath=c;W(a,b,null,f,-1);b.keyPath=e;return;case $c:h=e._init;
e=h(e._payload);f=Ce(e,f);De(a,b,c,d,e,f,void 0);return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+((null==e?e:typeof e)+"."));}}
function Fe(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,h=te(a,0,null,b.formatContext,!1,!1);h.id=c;h.parentFlushed=!0;try{b.replay=null,b.blockedSegment=h,X(a,b,d,e),h.status=1,null===g?a.completedRootSegment=h:(Ee(g,h),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function W(a,b,c,d,e){if(null!==b.replay&&"number"===typeof b.replay.slots)Fe(a,b,b.replay.slots,d,e);else{b.node=d;b.childIndex=e;if("object"===typeof d&&null!==d){switch(d.$$typeof){case uc:var f=d.type,g=d.key,h=d.props,k=d.ref,l=jd(f),p=null==g?-1===e?0:e:g;g=[b.keyPath,l,p];if(null!==b.replay)a:{var q=b.replay;e=q.nodes;for(d=0;d<e.length;d++){var n=e[d];if(p===n[1]){if(null!==l&&l!==n[0])throw Error('Expected to see a component of type "'+l+"\" in this slot. The tree doesn't match so React will fallback to client rendering.");
if(4===n.length){l=n[2];n=n[3];b.replay={nodes:l,slots:n,pendingTasks:1};try{if(De(a,b,g,c,f,h,k),1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");}catch(x){if("object"===typeof x&&null!==x&&(x===Bd||"function"===typeof x.then))throw x;Ge(a,b.blockedBoundary,x,l,n)}finally{b.replay.pendingTasks--,b.replay=q}}else{if(f!==Dc)throw Error("Expected to see a Suspense boundary in this slot. The tree doesn't match so React will fallback to client rendering.");
b:{c=void 0;f=n[5];k=n[2];l=n[3];q=null===n[4]?[]:n[4][2];n=null===n[4]?null:n[4][3];p=b.keyPath;var y=b.replay,A=b.blockedBoundary,R=h.children;h=h.fallback;var O=new Set,m=xe(a,O);m.parentFlushed=!0;m.rootSegmentID=f;b.blockedBoundary=m;b.replay={nodes:k,slots:l,pendingTasks:1};a.renderState.boundaryResources=m.resources;try{X(a,b,R,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
b.replay.pendingTasks--;if(0===m.pendingTasks&&0===m.status){m.status=1;a.completedBoundaries.push(m);break b}}catch(x){m.status=4,"object"===typeof x&&null!==x&&x.$$typeof===hd?(a.onPostpone(x.message),c="POSTPONE"):c=V(a,x),m.errorDigest=c,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(m)}finally{a.renderState.boundaryResources=A?A.resources:null,b.blockedBoundary=A,b.replay=y,b.keyPath=p}h=ye(a,null,{nodes:q,slots:n,pendingTasks:0},h,-1,A,O,[g[0],"Suspense Fallback",g[2]],b.formatContext,
b.legacyContext,b.context,b.treeContext);a.pingedTasks.push(h)}}e.splice(d,1);break a}}}else De(a,b,g,c,f,h,k);return;case vc:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");case $c:h=d._init;d=h(d._payload);W(a,b,null,d,e);return}if(Ha(d)){He(a,b,d,e);return}null===d||"object"!==typeof d?h=null:(h=id&&d[id]||d["@@iterator"],h="function"===typeof h?h:null);if(h&&(h=h.call(d))){d=h.next();if(!d.done){g=
[];do g.push(d.value),d=h.next();while(!d.done);He(a,b,g,e)}return}if("function"===typeof d.then)return W(a,b,null,he(d),e);if(d.$$typeof===Ac||d.$$typeof===Bc)return W(a,b,null,d._currentValue2,e);e=Object.prototype.toString.call(d);throw Error("Objects are not valid as a React child (found: "+("[object Object]"===e?"object with keys {"+Object.keys(d).join(", ")+"}":e)+"). If you meant to render a collection of children, use an array instead.");}"string"===typeof d?(e=b.blockedSegment,null!==e&&
(e.lastPushedText=tc(e.chunks,d,a.renderState,e.lastPushedText))):"number"===typeof d&&(e=b.blockedSegment,null!==e&&(e.lastPushedText=tc(e.chunks,""+d,a.renderState,e.lastPushedText)))}}
function He(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,h=0;h<g.length;h++){var k=g[h];if(k[1]===d){d=k[2];k=k[3];b.replay={nodes:d,slots:k,pendingTasks:1};try{if(He(a,b,c,-1),1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");}catch(p){if("object"===typeof p&&null!==p&&(p===Bd||
"function"===typeof p.then))throw p;Ge(a,b.blockedBoundary,p,d,k)}finally{b.replay.pendingTasks--,b.replay=f}g.splice(h,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(h=b.replay.slots,null!==h&&"object"===typeof h)){for(k=0;k<g;k++){d=c[k];b.treeContext=wd(f,g,k);var l=h[k];"number"===typeof l?(Fe(a,b,l,d,k),delete h[k]):X(a,b,d,k)}b.treeContext=f;b.keyPath=e;return}for(h=0;h<g;h++)k=c[h],b.treeContext=wd(f,g,h),X(a,b,k,h);b.treeContext=f;b.keyPath=e}
function Ie(a,b,c,d){d.status=5;var e=c.keyPath,f=c.blockedBoundary;if(null!==f&&0===f.status){f.status=5;f.rootSegmentID=a.nextSegmentId++;var g=f.trackedContentKeyPath;if(null===g)throw Error("It should not be possible to postpone at the root. This is a bug in React.");var h=f.trackedFallbackNode,k=[];if(g===e&&-1===c.childIndex){d.id=f.rootSegmentID;d=[g[1],g[2],k,f.rootSegmentID,h,f.rootSegmentID];b.workingMap.set(g,d);Je(d,g[0],b);return}var l=b.workingMap.get(g);void 0===l?(l=[g[1],g[2],k,null,
h,f.rootSegmentID],b.workingMap.set(g,l),Je(l,g[0],b)):(g=l,g[4]=h,g[5]=f.rootSegmentID)}-1===d.id&&(d.id=d.parentFlushed&&null!==f?f.rootSegmentID:a.nextSegmentId++);if(-1===c.childIndex)null===e?b.rootSlots=d.id:(c=b.workingMap.get(e),void 0===c?(c=[e[1],e[2],[],d.id],Je(c,e[0],b)):c[3]=d.id);else{if(null===e)if(a=b.rootSlots,null===a)a=b.rootSlots={};else{if("number"===typeof a)throw Error("It should not be possible to postpone both at the root of an element as well as a slot below. This is a bug in React.");
}else if(f=b.workingMap,g=f.get(e),void 0===g)a={},g=[e[1],e[2],[],a],f.set(e,g),Je(g,e[0],b);else if(a=g[3],null===a)a=g[3]={};else if("number"===typeof a)throw Error("It should not be possible to postpone both at the root of an element as well as a slot below. This is a bug in React.");a[c.childIndex]=d.id}}
function X(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,h=b.keyPath,k=b.treeContext,l=b.blockedSegment;if(null===l)try{return W(a,b,null,c,d)}catch(n){if(Zd(),d=n===Bd?Fd():n,"object"===typeof d&&null!==d&&"function"===typeof d.then){c=d;d=$d();a=ye(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;sd(g);return}}else{var p=
l.children.length,q=l.chunks.length;try{return W(a,b,null,c,d)}catch(n){if(Zd(),l.children.length=p,l.chunks.length=q,d=n===Bd?Fd():n,"object"===typeof d&&null!==d){if("function"===typeof d.then){c=d;d=$d();l=b.blockedSegment;p=te(a,l.chunks.length,null,b.formatContext,l.lastPushedText,!0);l.children.push(p);l.lastPushedText=!1;a=ue(a,d,b.node,b.childIndex,b.blockedBoundary,p,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext).ping;c.then(a,a);b.formatContext=e;b.legacyContext=
f;b.context=g;b.keyPath=h;b.treeContext=k;sd(g);return}if(null!==a.trackedPostpones&&d.$$typeof===hd&&null!==b.blockedBoundary){c=a.trackedPostpones;a.onPostpone(d.message);d=b.blockedSegment;l=te(a,d.chunks.length,null,b.formatContext,d.lastPushedText,!0);d.children.push(l);d.lastPushedText=!1;Ie(a,c,b,l);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;sd(g);return}}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;sd(g);throw d;}
function Ge(a,b,c,d,e){if("object"===typeof c&&null!==c&&c.$$typeof===hd){a.onPostpone(c.message);var f="POSTPONE"}else f=V(a,c);Ke(a,b,d,e,c,f)}function Le(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,Me(this,b,a))}
function Ke(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var h=c[g];if(4===h.length)Ke(a,b,h[2],h[3],e,f);else{h=h[5];var k=a,l=f,p=xe(k,new Set);p.parentFlushed=!0;p.rootSegmentID=h;p.status=4;p.errorDigest=l;p.parentFlushed&&k.clientRenderedBoundaries.push(p)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var q in d)delete d[q]}}
function Ne(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);null===d?(b.allPendingTasks--,1!==b.status&&2!==b.status&&(a=a.replay,null===a?(V(b,c),ze(b,c)):(a.pendingTasks--,0===a.pendingTasks&&0<a.nodes.length&&(d=V(b,c),Ke(b,null,a.nodes,a.slots,c,d))))):(d.pendingTasks--,4!==d.status&&(d.status=4,d.errorDigest=V(b,c),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return Ne(f,b,c)}),d.fallbackAbortableTasks.clear(),b.allPendingTasks--,
0===b.allPendingTasks&&(a=b.onAllReady,a()))}function Ee(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&Ee(a,c)}else a.completedSegments.push(b)}
function Me(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&(a.onShellError=re,b=a.onShellReady,b())}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&Ee(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(Le,
a),b.fallbackAbortableTasks.clear())):null!==c&&c.parentFlushed&&1===c.status&&(Ee(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&(a=a.onAllReady,a())}
function we(a){if(2!==a.status){var b=md,c=oe.current;oe.current=le;var d=pe.current;pe.current=ne;var e=N;N=a;var f=ke;ke=a.resumableState;try{var g=a.pingedTasks,h;for(h=0;h<g.length;h++){var k=g[h],l=a,p=k.blockedBoundary;l.renderState.boundaryResources=p?p.resources:null;var q=k.blockedSegment;if(null===q){var n=l;if(0!==k.replay.pendingTasks){sd(k.context);try{var y=k.thenableState;k.thenableState=null;W(n,k,y,k.node,-1);if(1===k.replay.pendingTasks&&0<k.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
k.replay.pendingTasks--;k.abortSet.delete(k);Me(n,k.blockedBoundary,null)}catch(L){Zd();var A=L===Bd?Fd():L;if("object"===typeof A&&null!==A&&"function"===typeof A.then){var R=k.ping;A.then(R,R);k.thenableState=$d()}else if(k.replay.pendingTasks--,k.abortSet.delete(k),Ge(n,k.blockedBoundary,A,k.replay.nodes,k.replay.slots),n.allPendingTasks--,0===n.allPendingTasks){var O=n.onAllReady;O()}}finally{n.renderState.boundaryResources=null}}}else a:{n=void 0;var m=q;if(0===m.status){sd(k.context);var x=
m.children.length,Y=m.chunks.length;try{var G=k.thenableState;k.thenableState=null;W(l,k,G,k.node,k.childIndex);l.renderState.generateStaticMarkup||m.lastPushedText&&m.textEmbedded&&m.chunks.push("\x3c!-- --\x3e");k.abortSet.delete(k);m.status=1;Me(l,k.blockedBoundary,m)}catch(L){Zd();m.children.length=x;m.chunks.length=Y;var v=L===Bd?Fd():L;if("object"===typeof v&&null!==v){if("function"===typeof v.then){var B=k.ping;v.then(B,B);k.thenableState=$d();break a}if(null!==l.trackedPostpones&&v.$$typeof===
hd&&null!==k.blockedBoundary){var z=l.trackedPostpones;k.abortSet.delete(k);l.onPostpone(v.message);Ie(l,z,k,m);Me(l,k.blockedBoundary,m);break a}}k.abortSet.delete(k);m.status=4;var H=k.blockedBoundary;"object"===typeof v&&null!==v&&v.$$typeof===hd?(l.onPostpone(v.message),n="POSTPONE"):n=V(l,v);null===H?ze(l,v):(H.pendingTasks--,4!==H.status&&(H.status=4,H.errorDigest=n,H.parentFlushed&&l.clientRenderedBoundaries.push(H)));l.allPendingTasks--;if(0===l.allPendingTasks){var Aa=l.onAllReady;Aa()}}finally{l.renderState.boundaryResources=
null}}}}g.splice(0,h);null!==a.destination&&Oe(a,a.destination)}catch(L){V(a,L),ze(a,L)}finally{ke=f,oe.current=c,pe.current=d,c===le&&sd(b),N=e}}}
function Pe(a,b,c){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:var d=c.id;c.lastPushedText=!1;c.textEmbedded=!1;a=a.renderState;b.push('<template id="');b.push(a.placeholderPrefix);a=d.toString(16);b.push(a);return b.push('"></template>');case 1:c.status=2;var e=!0;d=c.chunks;var f=0;c=c.children;for(var g=0;g<c.length;g++){for(e=c[g];f<e.index;f++)b.push(d[f]);e=Qe(a,b,e)}for(;f<d.length-1;f++)b.push(d[f]);f<d.length&&(e=b.push(d[f]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");
}}
function Qe(a,b,c){var d=c.boundary;if(null===d)return Pe(a,b,c);d.parentFlushed=!0;if(4===d.status)return a.renderState.generateStaticMarkup||(d=d.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),d&&(b.push(' data-dgst="'),d=u(d),b.push(d),b.push('"')),b.push("></template>")),Pe(a,b,c),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==d.status)return 0===d.status&&(d.rootSegmentID=a.nextSegmentId++),0<d.completedSegments.length&&a.partialBoundaries.push(d),Qb(b,a.renderState,
d.rootSegmentID),Pe(a,b,c),b.push("\x3c!--/$--\x3e");if(d.byteSize>a.progressiveChunkSize)return d.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(d),Qb(b,a.renderState,d.rootSegmentID),Pe(a,b,c),b.push("\x3c!--/$--\x3e");c=d.resources;var e=a.renderState.boundaryResources;e&&(c.styles.forEach(qc,e),c.stylesheets.forEach(rc,e));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=d.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
Qe(a,b,c[0]);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function Re(a,b,c){Rb(b,a.renderState,c.parentFormatContext,c.id);Qe(a,b,c);return Sb(b,c.parentFormatContext)}
function Se(a,b,c){a.renderState.boundaryResources=c.resources;for(var d=c.completedSegments,e=0;e<d.length;e++)Te(a,b,c,d[e]);d.length=0;hc(b,c.resources,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.resources;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),nc(b,c)):(b.push('" data-sty="'),oc(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return Pb(b,a)&&d}
function Te(a,b,c,d){if(2===d.status)return!0;var e=d.id;if(-1===e){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return Re(a,b,d)}if(e===c.rootSegmentID)return Re(a,b,d);Re(a,b,d);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);e=e.toString(16);b.push(e);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(e);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function Oe(a,b){try{var c,d=a.completedRootSegment;if(null!==d)if(0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,h=f.src,k=f.chunks;g.scriptResources.hasOwnProperty(h)||(g.scriptResources[h]=null,e.scripts.add(k))}var l=e.htmlChunks,p=e.headChunks;f=0;if(l){for(f=0;f<l.length;f++)b.push(l[f]);if(p)for(f=0;f<p.length;f++)b.push(p[f]);else{var q=J("head");b.push(q);b.push(">")}}else if(p)for(f=
0;f<p.length;f++)b.push(p[f]);var n=e.charsetChunks;for(f=0;f<n.length;f++)b.push(n[f]);n.length=0;e.preconnects.forEach(K,b);e.preconnects.clear();var y=e.preconnectChunks;for(f=0;f<y.length;f++)b.push(y[f]);y.length=0;e.fontPreloads.forEach(K,b);e.fontPreloads.clear();e.highImagePreloads.forEach(K,b);e.highImagePreloads.clear();e.styles.forEach(kc,b);var A=e.importMapChunks;for(f=0;f<A.length;f++)b.push(A[f]);A.length=0;e.bootstrapScripts.forEach(K,b);e.scripts.forEach(K,b);e.scripts.clear();e.bulkPreloads.forEach(K,
b);e.bulkPreloads.clear();var R=e.preloadChunks;for(f=0;f<R.length;f++)b.push(R[f]);R.length=0;var O=e.hoistableChunks;for(f=0;f<O.length;f++)b.push(O[f]);O.length=0;l&&null===p&&(b.push("</"),b.push("head"),b.push(">"));Qe(a,b,d);a.completedRootSegment=null;Pb(b,a.renderState)}else return;var m=a.renderState;d=0;m.preconnects.forEach(K,b);m.preconnects.clear();var x=m.preconnectChunks;for(d=0;d<x.length;d++)b.push(x[d]);x.length=0;m.fontPreloads.forEach(K,b);m.fontPreloads.clear();m.highImagePreloads.forEach(K,
b);m.highImagePreloads.clear();m.styles.forEach(mc,b);m.scripts.forEach(K,b);m.scripts.clear();m.bulkPreloads.forEach(K,b);m.bulkPreloads.clear();var Y=m.preloadChunks;for(d=0;d<Y.length;d++)b.push(Y[d]);Y.length=0;var G=m.hoistableChunks;for(d=0;d<G.length;d++)b.push(G[d]);G.length=0;var v=a.clientRenderedBoundaries;for(c=0;c<v.length;c++){var B=v[c];m=b;var z=a.resumableState,H=a.renderState,Aa=B.rootSegmentID,L=B.errorDigest,ka=B.errorMessage,ca=B.errorComponentStack,Z=0===z.streamingFormat;Z?
(m.push(H.startInlineScript),0===(z.instructions&4)?(z.instructions|=4,m.push('$RX=function(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};;$RX("')):m.push('$RX("')):m.push('<template data-rxi="" data-bid="');m.push(H.boundaryPrefix);var Ma=Aa.toString(16);m.push(Ma);Z&&m.push('"');if(L||ka||ca)if(Z){m.push(",");var Na=ac(L||"");m.push(Na)}else{m.push('" data-dgst="');var Oa=u(L||"");
m.push(Oa)}if(ka||ca)if(Z){m.push(",");var Pa=ac(ka||"");m.push(Pa)}else{m.push('" data-msg="');var la=u(ka||"");m.push(la)}if(ca)if(Z){m.push(",");var P=ac(ca);m.push(P)}else{m.push('" data-stck="');var nb=u(ca);m.push(nb)}if(Z?!m.push(")\x3c/script>"):!m.push('"></template>')){a.destination=null;c++;v.splice(0,c);return}}v.splice(0,c);var U=a.completedBoundaries;for(c=0;c<U.length;c++)if(!Se(a,b,U[c])){a.destination=null;c++;U.splice(0,c);return}U.splice(0,c);var ma=a.partialBoundaries;for(c=0;c<
ma.length;c++){var na=ma[c];a:{v=a;B=b;v.renderState.boundaryResources=na.resources;var oa=na.completedSegments;for(z=0;z<oa.length;z++)if(!Te(v,B,na,oa[z])){z++;oa.splice(0,z);var Qa=!1;break a}oa.splice(0,z);Qa=hc(B,na.resources,v.renderState)}if(!Qa){a.destination=null;c++;ma.splice(0,c);return}}ma.splice(0,c);var pa=a.completedBoundaries;for(c=0;c<pa.length;c++)if(!Se(a,b,pa[c])){a.destination=null;c++;pa.splice(0,c);return}pa.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&
0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length&&(a.flushScheduled=!1,null===a.trackedPostpones&&(a=a.resumableState,a.hasBody&&(b.push("</"),b.push("body"),b.push(">")),a.hasHtml&&(b.push("</"),b.push("html"),b.push(">"))),b.push(null))}}function pc(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){var b=a.destination;a.flushScheduled=!0;Oe(a,b)}}
function Ue(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{Oe(a,b)}catch(c){V(a,c),ze(a,c)}}}function Ve(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return Ne(e,a,d)});c.clear()}null!==a.destination&&Oe(a,a.destination)}catch(e){V(a,e),ze(a,e)}}
function Je(a,b,c){if(null===b)c.rootNodes.push(a);else{var d=c.workingMap,e=d.get(b);void 0===e&&(e=[b[1],b[2],[],null],d.set(b,e),Je(e,b[0],c));e[2].push(a)}}function We(){}
function Xe(a,b,c,d){var e=!1,f=null,g="",h=!1;b=lb(b?b.identifierPrefix:void 0,void 0);a=se(a,b,sc(b,c),mb(),Infinity,We,void 0,function(){h=!0},void 0,void 0,void 0);a.flushScheduled=null!==a.destination;we(a);Ve(a,d);Ue(a,{push:function(k){null!==k&&(g+=k);return!0},destroy:function(k){e=!0;f=k}});if(e&&f!==d)throw f;if(!h)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");return g}
function Ye(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var Ze=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}Ye(b,a);var c=b.prototype;c._destroy=function(d,e){Ve(this.request);e(d)};c._read=function(){this.startedFlowing&&Ue(this.request,this)};return b}(ia.Readable);function $e(){}
function af(a,b){var c=new Ze;b=lb(b?b.identifierPrefix:void 0,void 0);var d=se(a,b,sc(b,!1),mb(),Infinity,$e,function(){c.startedFlowing=!0;Ue(d,c)},void 0,void 0,void 0);c.request=d;d.flushScheduled=null!==d.destination;we(d);return c}exports.renderToNodeStream=function(a,b){return af(a,b)};exports.renderToStaticMarkup=function(a,b){return Xe(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){return af(a,b)};exports.renderToString=function(a,b){return Xe(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="18.3.0-experimental-6f1324395-20231004";
